<id>
YaBB Zodiac for YaBB 2.3
</id>

<version>
1.2
</version>

<mod info>
This mod shows the zodiac sign in the users profile (both in view profile as text and in the thread as an icon) if the birth date is filled out.

Installation
Modify YaBB files using BoardMod or manually.
Load modified files to your server.  

Testing
Go to any user with a filled out birth date and the zodiac sign should be shown as text in the profile view.
Go to any thread where users have their birth date filled out and the zodiac sign should be visible as icon (with a alt/title tag having the text version)

Version History
1.0 - First release (2.1) - Ron (Spikecity) - 11th July 2007
1.0a - Fixed residual zodiac signs in thread posts if a user does not have a birthdate filled out. (2.1) - Ron (Spikecity)

1.0 - Updated for YaBB 2.2.3 - Derek Barnstorm - 28th July 2008
1.1 - Corrected dates (2.2.3) - 4th August 2008
1.2 - Updated for YaBB 2.3, added enable/disable in Admin Center - 15th October 2008

Files to edit
Admin/Modlist.pl
Admin/NewSettings.pl
Admin/Settings_Main.pl
Sources/Display.pl
Sources/Load.pl
Sources/MyCenter.pl
Sources/Profile.pl
Templates/default/Display.template
Templates/default/MyCenter.template
Templates/yabb21/Display.template
Templates/yabb21/MyCenter.template
</mod info>

<author>
Original code by Spikecity / Updated by Derek Barnstorm
</author>

<homepage>
http://www.boardmod.org
</homepage>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$mod_zodiac = "YaBB Zodiac 1.2|Original code by Spikecity / Updated by Derek Barnstorm|Shows members zodiac sign|1.2|15th October 2008";
	push (@installed_mods, "$mod_zodiac");
</add before>

<edit file>
Admin/NewSettings.pl
</edit file>

<search for>
\$showgenderimage = $showgenderimage;			# Set to 1 to display each member's gender in the message view (by the ICQ.. etc.)
</search for>

<add after>
\$showzodiac = $showzodiac;			# Set to 1 to display members zodiac sign in the message view and profile
</add after>

<edit file>
Admin/Settings_Main.pl
</edit file>

<search for>
&LoadLanguage('Register');
</search for>

<add after>
&LoadLanguage('Zodiac');
</add after>

<search for>
		{
			description => $admin_txt{'386'},
			input_html => qq~<input type="checkbox" name="showgenderimage" value="1"${ischecked($showgenderimage)} />~,
			name => 'showgenderimage',
			validate => 'boolean',
		},
</search for>

<add after>
		{
			description => $zodiac_txt{'admin'},
			input_html => qq~<input type="checkbox" name="showzodiac" value="1"${ischecked($showzodiac)} />~,
			name => 'showzodiac',
			validate => 'boolean',
		},
</add after>

<edit file>
Sources/Display.pl
</edit file>

<search for>
		$outblock =~ s/({|<)yabb gender(}|>)/$template_gender/g;
</search for>

<add after>
		$outblock =~ s/({|<)yabb zodiac(}|>)/${$uid.$musername}{'zodiac'}/g;
</add after>

<edit file>
Sources/Load.pl
</edit file>

<search for>
	} else {
		${$uid.$user}{'gender'} = '';
	}
</search for>

<add after>

	require "$sourcedir/Zodiac.pl";
	${$uid.$user}{'zodiac'} = &get_zodiac(${$uid.$user}{'bday'});
	
</add after>

<edit file>
Sources/MyCenter.pl
</edit file>

<search for>
		$template_gender = ${$uid.$username}{'gender'};
</search for>

<add after>
		$template_zodiac = ${$uid.$username}{'zodiac'};
</add after>

<search for>
		$myprofileblock =~ s/({|<)yabb gender(}|>)/$template_gender/g;
</search for>

<add after>
		$myprofileblock =~ s/({|<)yabb zodiac(}|>)/$template_zodiac/g;
</add after>

<edit file>
Sources/Profile.pl
</edit file>

<search for>
	if ($age) {
</search for>

<replace>
	if ($age && $showzodiac) {
	    require "$sourcedir/Zodiac.pl";
		$memberzodiac = &get_zodiac(${$uid.$user}{'bday'}, "text");
</replace>

<search for>
		<div style="float: left; width: 70%; padding-top: 5px; padding-bottom: 5px;">
		$age &nbsp; $isbday
		</div>
		~;
	}
</search for>

<replace>
		<div style="float: left; width: 70%; padding-top: 5px; padding-bottom: 5px;">
		$age &nbsp; $isbday
		</div>
		<div style="float: left; clear: left; width: 30%; padding-top: 5px; padding-bottom: 5px;">
		<b>$zodiac_txt{'sign'}:</b>
		</div>
		<div style="float: left; width: 70%; padding-top: 5px; padding-bottom: 5px;">
		$memberzodiac
		</div>
	  ~;
	} elsif ($age) {
		$row_age = qq~
		<div style="float: left; clear: left; width: 30%; padding-top: 5px; padding-bottom: 5px;">
		<b>$profile_txt{'420'}:</b>
		</div>
		<div style="float: left; width: 70%; padding-top: 5px; padding-bottom: 5px;">
		$age &nbsp; $isbday
		</div>
	 ~;
	}
</replace>

<edit file>
Templates/default/Display.template
</edit file>

<search for>
		{yabb gender}
</search for>

<add after>
		{yabb zodiac}
</add after>

<edit file>
Templates/default/MyCenter.template
</edit file>

<search for>
		{yabb gender}
</search for>

<add after>
 		{yabb zodiac}
</add after>

<edit file>
Templates/yabb21/Display.template
</edit file>

<search for>
		<yabb gender>
</search for>

<add after>
		<yabb zodiac>
</add after>

<edit file>
Templates/yabb21/MyCenter.template
</edit file>

<search for>
		<yabb gender>
</search for>

<add after>
		<yabb zodiac>
</add after>